be.ehealth.technicalconnector.config.impl

## Class ConfigurationModuleServiceLoader

- java.lang.Object
- - be.ehealth.technicalconnector.config.impl.ConfigurationModuleServiceLoader

- All Implemented Interfaces:
    ConfigurationModule

      public class ConfigurationModuleServiceLoader
      extends Object
      implements ConfigurationModule

  Configuration Module to dump the serive used by the `ServiceLoader` Implementation of `ConfigurationModule`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SERVICELOADER_ROOTKEY` Root key used to dump the service loader implementation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModuleServiceLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Configuration config)` Method that initialise the configuration module.
    `void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICELOADER_ROOTKEY

          public static final String SERVICELOADER_ROOTKEY

      Root key used to dump the service loader implementation
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigurationModuleServiceLoader

          public ConfigurationModuleServiceLoader()

  - ### Method Detail

    - #### init

          public void init(Configuration config)
                    throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that initialise the configuration module.
      Specified by:
        `init` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

    - #### unload

          public void unload()
                      throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that restores the configuration module and reset the system to the initial situation.
      Specified by:
        `unload` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.